Subject: Re: [tcpm] WGLC: draft-ietf-tcpm-urgent-data-02.txt

From: David Borman <[email-masked]>
Date: Tue, 2 Mar 2010 15:03:07 -0600

WG chair hat on:
----------------
We are well past the end of the WGLC for this document.  On February 19, a new draft:
	draft-ietf-tcpm-urgent-data-03.txt
was posted.  I have reviewed the differences between the -02 and -03 versions, and it appears to me that all of the issues that were raised against the -02 version have been addressed in the -03 version.  There have been no additional comments on the mailing list since the -03 version was made available.

Therefore, we will be sending this document to the IESG in the next day or two, so if you have any additional issues with the -03 draft, you should speak up immediately.

			-David Borman, TCPM co-chair

WG chair hat off:
-----------------
I just realized that:
1) The document should have at the top:
	Updates: RFCs 793, 1011, 1122
2) The "1. Introduction" section should say that it updates all 3 RFCs, not just RFC 1122.
3) The Normative References should include RFC 1011.
4) The "4. Updating RFC 1122" section should also mention all 3 RFCs, not just RFC 1122

The other RFCs that talk about the urgent pointer, 924, 944, 961 and 991, are all obsoleted by RFC 1011, hence only RFC 1011 needs to be mentioned.

			-David Borman

On Feb 5, 2010, at 1:38 PM, David Borman wrote:

> Note: As recent discussions on this list have indicated, we need members of this mailing list to be involved.  Please take the time to read through this document and send a message to the mailing list either supporting publishing this document, or commenting on why it is not ready to be published.  This particular document is quite short and easy to understand.  -David Borman, TCPM co-chair.
> ----------------------------
> 
> This is to announce the start of the WG Last Call for:
> 
> Title           : On the implementation of the TCP urgent mechanism
> Author(s)       : F. Gont and A. Yourtchenko
> Filename        : draft-ietf-tcpm-urgent-data-02.txt
> Pages           : 13
> Date            : November 26, 2009
> Intended Status : Proposed Standard
> 
> http://www.ietf.org/internet-drafts/draft-ietf-tcpm-urgent-data-02.txt
> 
> It is our understanding that all the feedback has been incorporated into this latest version and that there are no known outstanding issues with this document.
> 
> Please send feedback to the list.
> 
> The WGLC will end on Friday, February 19, 2010.
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: John Heffner <[email-masked]>
Date: Tue, 2 Mar 2010 16:36:22 -0500

> WG chair hat on:

Nit: in the title of Section 2.1: s/inications/indications/

  -John

---

From: Fernando Gont <[email-masked]>
Date: Tue, 02 Mar 2010 19:01:19 -0300

Hi, David,

Thanks so much for pushing this forward!

Comments inline...

> WG chair hat off: ----------------- I just realized that: 1) The
> document should have at the top: Updates: RFCs 793, 1011, 1122 

Will ask on the xml2rfc list what's the xml code to do that. If anybody
knows, please do let me know.

> 2) The
> "1. Introduction" section should say that it updates all 3 RFCs, not
> just RFC 1122. 

Will do.

> 3) The Normative References should include RFC 1011. 

Will do.

> 4) The "4. Updating RFC 1122" section should also mention all 3 RFCs,

Will do.

> The other RFCs that talk about the urgent pointer, 924, 944, 961 and
> 991, are all obsoleted by RFC 1011, hence only RFC 1011 needs to be
> mentioned.

Ok. Will go through the draft and try to replace references to the
aforementioned RFCs with references to RFC 1101.

If you agree, I can post a rev in the next few days, so that we ship the
I-D with all these tihngs fixes (plus the nit John Heffner has just
pointed out).

Thanks!

Kind regards,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: Fernando Gont <[email-masked]>
Date: Tue, 02 Mar 2010 19:13:25 -0300

John,

John Heffner wrote:
>> The other RFCs that talk about the urgent pointer, 924, 944, 961
>> and 991, are all obsoleted by RFC 1011, hence only RFC 1011 needs
>> to be mentioned.
> 

Thanks! Will fix this in the next rev.

Kind regards,

---

From: David Borman <[email-masked]>
Date: Tue, 2 Mar 2010 18:20:21 -0600

Fernando,

> aforementioned RFCs with references to RFC 1101.

For most of the document I think it is fine to just reference RFC 1122, since that was the last attempt to clarify the situation.  As long as the Updates:, Intro and the explicit "Updating RFC 1122" section mention all 3, that should be sufficient from my viewpoint.

> I-D with all these tihngs fixes (plus the nit John Heffner has just

That'd be great.  So if anyone else has any final comments, get them in now!

			-David Borman

---

From: Fernando Gont <[email-masked]>
Date: Wed, 03 Mar 2010 01:29:18 -0300

> That'd be great.  So if anyone else has any final comments, get them in now!

Heads-up: I've posted my working copy of the I-D (the upcomming -04
version) at
http://www.gont.com.ar/drafts/urgent-data/draft-ietf-tcpm-urgent-data-04.txt

Please let me know if this one addresses all your comments (I think/hope
it does!).

Thanks,

---

From: Alexander Zimmermann <[email-masked]>
Date: Wed, 03 Mar 2010 08:50:37 +0100

Hi Fernando,

here some nits (04 version):

Sec 1, para 2: s/secifications/specifications
Sec 1, para 2 s/the the/the
Sec A.5. para 2: s/behaviour/behavior

Alex

> Please let me know if this one addresses all your comments (I think/hope

//
// Dipl.-Inform. Alexander Zimmermann
// Department of Computer Science, Informatik 4
// RWTH Aachen University
// Ahornstr. 55, 52056 Aachen, Germany
// phone: (49-241) 80-21422, fax: (49-241) 80-22220
// email: [email-masked]
// web: http://www.umic-mesh.net
//

---

From: Fernando Gont <[email-masked]>
Date: Wed, 03 Mar 2010 05:07:33 -0300

Hi, Alex,

> Sec A.5. para 2: s/behaviour/behavior

Fixed. Thanks!

I really need to run the I-D through a spell-checker :-)

Kind regards,

---

From: David Borman <[email-masked]>
Date: Wed, 3 Mar 2010 08:13:20 -0600

Ok, I did one more close reading of the spec, and I found a few more nits:

2.1: ...that data that were received as "normal data"
	s/were/was/

3.2: this clarification never was reflected into actual implementations
	s/never was/was never/

4.: hereby we update RFC 793
	s/hereby we/we hereby/

6: such that "urgent data" are delivered inline
	s/are/is/

7: e.g., depnding on the value
	s/depnding/depending/

A.4: That is, they will be accessible
	s/they/it/

A.6: cygwin environment, has shown that
	s/,//

			-David Borman

---

From: Fernando Gont <[email-masked]>
Date: Wed, 03 Mar 2010 23:25:09 -0300

Hi, David,

> 2.1: ...that data that were received as "normal data"

(disclaimer: English as second language here)

Isn't "data" plural here?

Checking my dictionary, while "data" is plural of "datum", it is
nowadays used as a singular noun, too.

If I were to s/were/was/, it looks like I should rephrase the text as
'that a data byte that was received as "normal data"...'...

> 3.2: this clarification never was reflected into actual implementations

Fixed.

> 4.: hereby we update RFC 793

Fixed.

> 6: such that "urgent data" are delivered inline

Same as above. :-?

> 7: e.g., depnding on the value

Fixed.

> A.4: That is, they will be accessible

This one has to do with my use of "data" as plural (i.e., "data bytes")

> A.6: cygwin environment, has shown that

Fixed.

Thanks!

Kind regards,

---

From: David Borman <[email-masked]>
Date: Thu, 4 Mar 2010 09:44:02 -0600

Fernando,

>> 2.1: ...that data that were received as "normal data"
And two lines later:
	before those data are consumed
	s/those data are/that data is/
> 'that a data byte that was received as "normal data"...'...

The word "data" can be used with either a single or plural verb, it depends on the context.  If it is being used as the plural of multiple discrete pieces of datum, then a plural verb is correct.  But it can also be used in a singular sense, when it is being used to refer to the entire collection of data.  While there may be multiple pieces of datum within the collection, the collection as a whole is still singular.

    If there are 12 cookies for sale, individually wrapped, you would say:
	There are a dozen cookies for sale.
    But if they are being sold in a single package, you would say:
	There is a dozen cookies for sale.

Similarly in this case, it seems to me that it is referring to a single collection of data, not a bunch of individual datum, and that is why I suggested changing it to singular.  Using the singular form also reenforces the fact there is only one urgent pointer at any given time, and all the unread data prior to that pointer is urgent data.  If a new urgent pointer is received, you don't now have two groups of urgent data, it is all grouped together into a single set of urgent data.

A simple test would be to read the sentence substituting either "collection of data" or "pieces of data" in place of "data", and see which seems to make better sense, and that would indicate whether the verb should be singular or plural.

I think I've adequately explained my reasoning, so now you can choose which way to word it.  I'll be fine with whatever you choose.

>> 6: such that "urgent data" are delivered inline

yes.

> This one has to do with my use of "data" as plural (i.e., "data bytes")

Both sections A.1 and A.2 have similar wording, and use the singular sense:
	"That is, it will be"
I missed in Section A.3 where it also has "That is, they will be accessible".

It should be consistent in all 4 sections.

			-David Borman

---

From: Fernando Gont <[email-masked]>
Date: Fri, 05 Mar 2010 02:37:44 -0300

Hello, David,

>> If I were to s/were/was/, it looks like I should rephrase the text
>> as 'that a data byte that was received as "normal data"...'...
> 
[...]
> If there are 12 cookies for sale, individually wrapped, you would
> say: There are a dozen cookies for sale. But if they are being sold
> in a single package, you would say: There is a dozen cookies for
> sale.

Got it ;-)

> I think I've adequately explained my reasoning, so now you can choose
> which way to word it.  I'll be fine with whatever you choose.

As expected, I fixed all instances of data+plural.

Thanks for the English lesson... ;-) Being a second language, at times
it gets tricky....

P.S.: I've posted a rev that fixes this. It should be ready to ship.

Kind regards,

---

From: "David Harrington" <[email-masked]>
Date: Thu, 11 Mar 2010 02:39:17 -0500

Hi,

as an individual contributor ...
 
It probably won't matter which you choose as long as you are
consistent.
And that consistency needs to be within the document and across WG
documents.
The RFC editor will usually demand consistency, whichever choice is
made.

dbh
David Harrington
[email-masked]
[email-masked]
[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Fernando Gont
> Sent: Friday, March 05, 2010 12:38 AM
> To: David Borman
> Cc: [email-masked]; [email-masked] WG; [email-masked]
> Subject: Re: [tcpm] WGLC: draft-ietf-tcpm-urgent-data-02.txt
> 
> Hello, David,
>